@media (min-width: $sm + 1px) {
  .sidebar {
    width: 200px;
    padding-top: 18px;
    height: 100%;
    position: fixed;
    z-index: 1;
    background-color: $secondary-color;
    overflow-x: hidden;
    padding-top: 20px;
    @include transition();
    display: block !important;
    ul {
      padding: 0;
    }

    li {
      list-style-type: none;

      a {
        padding: 8px 18px 8px 18px;
        text-decoration: none;
        font-size: 1rem;
        color: $white;
        display: block;
        @include transition();
        &.active {
          color: $white;
          // background-color: $jungle-green;
          border-right: 4px solid $tertiary-color;
          @include transition();
          // &:hover {
          //   color: $tertiary-color;
          // }
        }
        span {
          padding: 0 5px;
        }
        i {
          width: 35px;
        }
      }

      a:hover {
        // color: $tertiary-color;
        @include transition();
        border-right: 4px solid $tertiary-color;
      }

      .closebtn {
        position: absolute;
        top: 0;
        right: 25px;
        font-size: 36px;
        margin-left: 50px;
      }
      span {
        position: absolute;
      }
    }
  }

  .m-sidebar {
    span {
      display: none;
      -webkit-transform: translate(1%, -6%);
      transform: translate(1%, -6%);
    }
    a.active {
      color: $white !important;
      background-color: transparent !important;
      @include transition();
    }
  }

  .openbtn {
    font-size: 20px;
    cursor: pointer;
    background-color: rgba($black, 0.5);
    color: white;
    padding: 10px 15px;
    border: none;
  }

  .openbtn:hover {
    background-color: #444;
  }
}
@media (max-width: $sm) {
  // - 1px for change sidebar in 768px resolation
  .sidebar {
    width: 100% !important;
    height: auto;
    @include transition();
  }
  #main {
    padding: 0px 10px !important;
  }
  .sidebar-in-sm {
    background-color: $secondary-color;
    ul {
      padding: 0;
    }

    li {
      list-style-type: none;

      a {
        padding: 8px 18px 8px 18px;
        text-decoration: none;
        font-size: 1rem;
        color: $white;
        display: block;
        @include transition();
        &.active {
          color: $white !important;
          // background-color: $jungle-green;
          border-right: 3px solid $tertiary-color;
        }
        span {
          padding: 0 5px;
          @include transition();
        }
        i {
          width: 35px;
        }
      }

      a:hover {
        // color: $tertiary-color;
        border-right: 4px solid $tertiary-color;
      }
    }
  }
}

.cat-title {
  padding: 8px 18px 8px 18px;
  text-decoration: none;
  font-size: 1rem;
  color: $white;
  display: block;
  position: relative;
  @include transition();
  cursor: pointer;
  &::after {
    content: "\49";
    font-family: 'icomoon' !important;
    width: 2rem;
    height: 2rem;
    line-height: 2rem;
    font-size: 1.5rem;
    text-align: center;
    color: black;
    position: absolute;
    left: 1rem;
    top: 0;
    bottom: 0;
    margin: auto;
    transform: rotate(0deg);
    transition: all 200ms ease-out;
  }
  &.active {
    & + .nav-sub {
      max-height: 100rem;
    }
    &::after {
      transform: rotate(180deg) !important;
    }
  }
}
.nav-sub {
  //background-color: @color-2;
  overflow: hidden;
  max-height: 0;
  li {
    .icon {
      color: red;
    }
  }
  .nav-title {
    padding-left: 3.5rem;
    &.active {
      //background-color: @alto;
    }
    &.active-route {
      color: brown;
    }
    &.badge {
      background-color: #c90000;
      color: white;
      padding: 0.4rem;
    }
  }
  transition: all 300ms ease-in-out;
}